.NET

Reply
*Mark Pexton
Message 1 of 7 (139 Views)

DOTNETARX

139 Views, 6 Replies
06-17-2005 06:38 AM
I just ran across several DOTNETARX posts. Based on what's being advertised,
why doesn't Autodesk provide a user-friendly tool like this. I am not a
software developer. When someone creates a tool like this to make my job, as
a programmer, easier all I can say is thanks!


Here's a snippet from a previous post:

Traditonal .net programs is like the following:
Entity ent..;

Database db= Application.DocumentManager.MdiActiveDocument.Database;

DBTransMan tm=db.TransactionManager;

using(Transaction trans=tm.StartTransaction())

{ BlockTable bt=(BlockTable)tm.GetObject(db.BlockTableId,OpenMode.
ForRead,false); BlockTableRecord btr=

(BlockTableRecord)tm.GetObject(bt[BlockTableRecord.ModelSpace],OpenMode.ForW
rite,false);

btr.AppendEntity(ent);

tm.AddNewlyCreatedDBObject(ent,true);

trans.Commit();

}
With DOTNETARX,the codes can be simplified like this:

Entity ent...
Tools.AddEntity(ent);
*Tony Tanzillo
Message 2 of 7 (139 Views)

Re: DOTNETARX

06-17-2005 10:07 AM in reply to: *Mark Pexton
"Mark Pexton" wrote

> I just ran across several DOTNETARX posts.
> Based on what's being advertised, why doesn't
> Autodesk provide a user-friendly tool like this.

Well, they do. It's called the ActiveX API.

If you need simplified access to AutoCAD objects,
that's the best way to go.

I see no useful purpose to creating a dependence
on someone's wrappers, unless they provide some
significant functionality enhancements.

Simplification alone is not enough.

--
http://www.caddzone.com

AcadXTabs: MDI Document Tabs for AutoCAD 2004/2005/2006
http://www.acadxtabs.com
*Mark Pexton
Message 3 of 7 (139 Views)

Re: DOTNETARX

06-17-2005 10:33 AM in reply to: *Mark Pexton
Good feedback. As I said, I am no software engineer. I just want to get in
and program without having to deal with so many prerequisites--as shown in
dotnetarx example. I am an X user of your AcadX product. I liked your
product because, of its ease of use, it allowed me to focus almost 100% on
my programming requirements and not all of the underlying Autodesk stuff...


"Tony Tanzillo" wrote in message
news:4878358@discussion.autodesk.com...
"Mark Pexton" wrote

> I just ran across several DOTNETARX posts.
> Based on what's being advertised, why doesn't
> Autodesk provide a user-friendly tool like this.

Well, they do. It's called the ActiveX API.

If you need simplified access to AutoCAD objects,
that's the best way to go.

I see no useful purpose to creating a dependence
on someone's wrappers, unless they provide some
significant functionality enhancements.

Simplification alone is not enough.

--
http://www.caddzone.com

AcadXTabs: MDI Document Tabs for AutoCAD 2004/2005/2006
http://www.acadxtabs.com
*Tony Tanzillo
Message 4 of 7 (139 Views)

Re: DOTNETARX

06-17-2005 10:42 AM in reply to: *Mark Pexton
Thanks for your comments on AcadX, although I don't know if
I would agree that it is easy to use. It wasn't really intended
to be easy to use, only to provide access to functionality that
was not available to ActiveX.

In the case of 'DOTNETARX', I don't see what the point is, as
I find it much easier to just use the ActiveX API seamlessly
from a managed application. The only time I would avoid the
ActiveX API is where performance is critical. Then again, in
those cases, I may consider native ObjectARX/C++.

--
http://www.caddzone.com

AcadXTabs: MDI Document Tabs for AutoCAD 2004/2005/2006
http://www.acadxtabs.com

"Mark Pexton" wrote in message news:4878403@discussion.autodesk.com...
Good feedback. As I said, I am no software engineer. I just want to get in
and program without having to deal with so many prerequisites--as shown in
dotnetarx example. I am an X user of your AcadX product. I liked your
product because, of its ease of use, it allowed me to focus almost 100% on
my programming requirements and not all of the underlying Autodesk stuff...


"Tony Tanzillo" wrote in message
news:4878358@discussion.autodesk.com...
"Mark Pexton" wrote

> I just ran across several DOTNETARX posts.
> Based on what's being advertised, why doesn't
> Autodesk provide a user-friendly tool like this.

Well, they do. It's called the ActiveX API.

If you need simplified access to AutoCAD objects,
that's the best way to go.

I see no useful purpose to creating a dependence
on someone's wrappers, unless they provide some
significant functionality enhancements.

Simplification alone is not enough.

--
http://www.caddzone.com

AcadXTabs: MDI Document Tabs for AutoCAD 2004/2005/2006
http://www.acadxtabs.com
*J. Daniel Smith
Message 5 of 7 (139 Views)

Re: DOTNETARX

06-17-2005 12:01 PM in reply to: *Mark Pexton
Defaulting the Document/Database can lead to A LOT of problems eventually.

Calling Tools.AddEntity() multiple times in a row will be slower than doing
everything in a single transaction; and can also create problems with
UNDO/REDO.

Not having to explicitly open a databased object is convenient, but if
you're setting more than one property at once, this technique will be
slower.

Personally, I find the class name "Circles" to be a very poor choice for a
derivation from "Circle".

Does any of this matter to you? It depends on your circumstances. If you
find DOTNETARX useful, there's nothing particularly wrong with using it. At
the same time, there are good reasons for the .NET API being what it is.

Dan

"Mark Pexton" wrote in message
news:4878015@discussion.autodesk.com...
I just ran across several DOTNETARX posts. Based on what's being advertised,
why doesn't Autodesk provide a user-friendly tool like this. I am not a
software developer. When someone creates a tool like this to make my job, as
a programmer, easier all I can say is thanks!


Here's a snippet from a previous post:

Traditonal .net programs is like the following:
Entity ent..;

Database db= Application.DocumentManager.MdiActiveDocument.Database;

DBTransMan tm=db.TransactionManager;

using(Transaction trans=tm.StartTransaction())

{ BlockTable bt=(BlockTable)tm.GetObject(db.BlockTableId,OpenMode.
ForRead,false); BlockTableRecord btr=

(BlockTableRecord)tm.GetObject(bt[BlockTableRecord.ModelSpace],OpenMode.ForW
rite,false);

btr.AppendEntity(ent);

tm.AddNewlyCreatedDBObject(ent,true);

trans.Commit();

}
With DOTNETARX,the codes can be simplified like this:

Entity ent...
Tools.AddEntity(ent);
*Jon Rizzo
Message 6 of 7 (139 Views)

Re: DOTNETARX

06-17-2005 01:16 PM in reply to: *Mark Pexton
I have to agree with the others - in your effort to make the .NET calls
"easy to use" you have taken away the reason for having used the .NET
interface in the first place (ie: flexibility and performance). I don't see
this as being any easier to use than the COM API, and the resulting code
will probably not execute much (if any) faster.





"Mark Pexton" wrote in message
news:4878015@discussion.autodesk.com...
I just ran across several DOTNETARX posts. Based on what's being advertised,
why doesn't Autodesk provide a user-friendly tool like this. I am not a
software developer. When someone creates a tool like this to make my job, as
a programmer, easier all I can say is thanks!


Here's a snippet from a previous post:

Traditonal .net programs is like the following:
Entity ent..;

Database db= Application.DocumentManager.MdiActiveDocument.Database;

DBTransMan tm=db.TransactionManager;

using(Transaction trans=tm.StartTransaction())

{ BlockTable bt=(BlockTable)tm.GetObject(db.BlockTableId,OpenMode.
ForRead,false); BlockTableRecord btr=

(BlockTableRecord)tm.GetObject(bt[BlockTableRecord.ModelSpace],OpenMode.ForW
rite,false);

btr.AppendEntity(ent);

tm.AddNewlyCreatedDBObject(ent,true);

trans.Commit();

}
With DOTNETARX,the codes can be simplified like this:

Entity ent...
Tools.AddEntity(ent);
Active Contributor
tangferry
Posts: 43
Registered: ‎04-21-2005
Message 7 of 7 (139 Views)

Re: DOTNETARX

06-19-2005 12:54 AM in reply to: *Mark Pexton
DOTNETARX has the following aims:
1.writting .net programs more easily
2.fixing bugs such as condtional filtering.
3.(future)providing help documents for the managed objectarx wrapper class,as you know,the original help document is written so poor.
I have put DOTNETARX 2.0 and a new article on using the DOTNETARX(Samples for DOTNETARX) on codeproject.
The url of DOTNETARX 2.0 and the article:
http://www.codeproject.com/useritems/dotnetarxsample.asp Message was edited by: tangferry
Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.
Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.